<?php

namespace Onestartup\Slider\Controller;
use Illuminate\Http\Request;
use App\Http\Requests;
use App\Http\Controllers\Controller;

use Onestartup\Slider\Model\Carousel;
use Onestartup\Slider\Model\Slider;

use Onestartup\Slider\Requests\RequestCarousel;

class AdminCarouselController extends Controller{

	public function index($slider_id){
        $slider = Slider::findOrFail($slider_id);
		$banners = Carousel::where("active", true)->where("slider_id", $slider->id);
		$banners_desactivated = Carousel::where("active", false)->where("slider_id", $slider->id);
		return view("slider::carousel.index")->with("slider", $slider)->with("banners", $banners)->with("banners_desactivated", $banners_desactivated);
	}

	public function create($slider_id){
        $slider = Slider::findOrFail($slider_id);
		return view("slider::carousel.create")->with("slider", $slider);
	}

	public function edit($slider_id, $id){
        $slider = Slider::findOrFail($slider_id);
		$carousel = $slider->carousels->where("id", $id)->first();
		return view("slider::carousel.edit")->with("slider", $slider)->with("carousel", $carousel);
	}

	public function store(RequestCarousel $request, $slider_id){
        $slider = Slider::findOrFail($slider_id);
		$carousel = new Carousel($request->all());
        $carousel->slider_id = $slider->id;
		$max = Carousel::where("active", true)->count();
		$carousel->position = $max +1;
		$carousel->save();

        if (isset($request->portada)) {
            
            $file = $request->file('portada');
            $nombre = $file->getClientOriginalName();
            $nombre_file = str_replace(' ', '_', $nombre);
            $ubicacion_donde_guarda ='carousel/' . $carousel->id . '/' . $nombre_file;
            \Storage::disk('local')->put($ubicacion_donde_guarda,  \File::get($file));
            $carousel->image_path = $ubicacion_donde_guarda;
            $carousel->save();
        } 

        return redirect()
            ->route('sliders.admin.carousel.index', $slider->id)
            ->with('message_success', 'Banner agregado correctamente.');
	}

	public function update(RequestCarousel $request, $slider_id, $id){
        $slider = Slider::findOrFail($slider_id);

		$carousel = Carousel::where("id", $id)->where("slider_id", $slider->id)->first();
        $carousel->fill($request->all());
        $carousel->save();

        if (isset($request->portada)) {
            
            $file = $request->file('portada');
            $nombre = $file->getClientOriginalName();
            $nombre_file = str_replace(' ', '_', $nombre);
            $ubicacion_donde_guarda ='carousel/'.$carousel->id."/".$nombre_file;
            \Storage::disk('local')->put($ubicacion_donde_guarda,  \File::get($file));
            $carousel->image_path = $ubicacion_donde_guarda;
            $carousel->save();
        } 


        return redirect()
            ->back()
            ->with('message_success', 'Información actualizada correctamente.');
	}

	public function destroy($slider_id, $id){
        $slider = Slider::findOrFail($slider_id);
		$carousel = Carousel::where("id", $id)->where("slider_id", $slider->id)->first();
        $carousel->delete();

        return redirect()
            ->back()
            ->with('message_danger', 'Banner eliminado correctamente.');
	}

	public function deleteCover($id)
    {
        $carousel = Carousel::find($id);
        $carousel->image_path = null;
        $carousel->save();

        return redirect()
                ->back()
                ->with('message_success', 'Imagen eliminada correctamente');
    }

    public function activate($slider_id, $id){
        $slider = Slider::findOrFail($slider_id);

    	$carousel = Carousel::where("id", $id)->where("slider_id", $slider->id)->first();
    	$position_max = Carousel::where('active', true)->where("slider_id", $slider->id)->max('position') + 1;
    	$newstatus = !$carousel->active;
    	$carousel->position = $position_max;
    	$carousel->active = $newstatus;
    	$carousel->save();

    	if ($newstatus){
    		$message = "Banner activado correctamente.";
    	} else {
    		$message = "Banner desactivado correctamente.";
    	}

    	return redirect()
                ->back()
                ->with('message_success', $message);
    }


}