<?php

namespace Onestartup\Slider\Controller;
use Illuminate\Http\Request;
use App\Http\Requests;
use App\Http\Controllers\Controller;

use Onestartup\Slider\Model\Slider;
use Onestartup\Slider\Model\Carousel;

use Onestartup\Slider\Requests\RequestSlider;

class AdminSliderController extends Controller{

	public function index(){
		$sliders = Slider::paginate(30);
		$c_sliders = Slider::all()->count();
		return view("slider::slider.index")->with("sliders", $sliders)->with("c_sliders", $c_sliders);
	}

	public function create(){
		return view("slider::slider.create");
	}

	public function edit($id){
		$slider = Slider::findOrFail($id);
		return view("slider::slider.edit")->with("slider", $slider);
	}

	public function store(RequestSlider $request){
		$slider = new Slider($request->all());

		$slider->save();

		return redirect()
            ->route('sliders.admin.carousel.index', $slider->id)
            ->with('message_success', 'Banner agregado correctamente.');
	}

	public function update(RequestSlider $request, $id){
		$slider = Slider::findOrFail($id);
        $slider->fill($request->all());
        $slider->save();

        return redirect()
            ->route("sliders.admin.slider.index")
            ->with('message_success', 'Información actualizada correctamente.');
	}

	public function destroy($id){
		$slider = Slider::findOrFail($id);
		$slider->delete();

        return redirect()
            ->back()
            ->with('message_danger', 'Slider eliminado correctamente.');
	}

	public function sort(Request $request, $id){
    	$contents = explode("&",str_replace("id_banner[]=", "", $request->sort));

        foreach ($contents as $index =>$content){
            Carousel::find($content)->update(["position"=> $index + 1]);
        }
        return $contents;
    }
}	