@extends('crm-admin::main-layout')
@section('breadcrumb')
  <li class="breadcrumb-item">
    <a href="{{route('home')}}">Home</a>
  </li>
  <li class="breadcrumb-item">
    <a href="{{route('sliders.admin.slider.index')}}">Slider</a>
  </li>
  <li class="breadcrumb-item">
    <a href="{{route('sliders.admin.slider.edit', $slider->id)}}">{{$slider->name}}</a>
  </li>
  <li class="breadcrumb-item">
    <a href="{{route('sliders.admin.carousel.index', $slider->id)}}">Imagenes</a>
  </li>
  <li class="breadcrumb-item active">
    {{$carousel->title}}
  </li>
@endsection
@section('content')
<div class='row'>
  <div class='col-md-12'>
    <div class='box'>
      <div class='box-header dark'>
        <h2>Agregar información</h2>
      </div>
      <div class='box-body'>
        {!! Form::model($carousel,['route'=> ['sliders.admin.carousel.update',$slider->id,$carousel->id],"method"=>"PUT", 'enctype'=>'multipart/form-data']) !!}
        @include('slider::carousel.fields')
      </div>
      <div class='dker p-a text-right'>
        <div class='col-md-12'>
          <a class='btn danger' href="{{route('sliders.admin.carousel.index', $slider->id)}}" style='margin-right:10px'>Cancelar</a>
          <button class='btn dark' type='submit'>
            Registrar
          </button>
          {!! Form::close() !!}
        </div>
      </div>
    </div>
  </div>
</div>
<div class='modal fade' data-backdrop='true' id='ver'>
  <div class='modal-dialog modal-lg'>
    <div class='modal-content box-shadow-z3'>
      <div class='modal-body text-center p-lg'>
        @if ($carousel->image_path == null)
        <h4> No hay imagen asignada</h4>
        @else
          <img class='image-modal-preview' src="{{asset('storage/'.$carousel->image_path)}}">
        @endif
      </div>
      <div class='modal-footer'>
        <button class='btn dark p-x-md' data-dismiss='modal' type='button'>Cerrar</button>
        @if($carousel->image_path != null)
          {!! Form::open(['route'=> ['sliders.admin.carousel.delete_image',$carousel->id],'method'=>'DELETE'])!!}
            <button class='btn btn-danger button-mb' onclick="return confirm('¿Estás seguro de eliminar este elemento?');" type='submit'>
              <i class='fas fa-trash-alt icon-special-size'>
                Eliminar
              </i>
            </button>
          {!! Form::close()!!}
        @endif
      </div>
    </div>
    <!-- /.modal-content -->
  </div>
</div>
@endsection