@extends('crm-admin::main-layout')
@section('breadcrumb')
  <li class="breadcrumb-item">
    <a href="{{route('home')}}">Home</a>
  </li>
  <li class="breadcrumb-item">
    <a href="{{route('sliders.admin.slider.index')}}">Slider</a>
  </li>
  <li class="breadcrumb-item active">
    Sliders
  </li>
@endsection

@section("content")
<div class='row'>
  <div class='col-md-12'>
    <div class='box'>
      <div class='box-header dark'>
        <h2>
          Sliders
          <span>
            <a class='btn btn-xs btn-info button-ml' href="{{route('sliders.admin.slider.create')}}">
              <i class='fas fa-plus'></i>
              Agregar slider
            </a>
          </span>
        </h2>
      </div>
      <div class='box-body'>
        <div class='col-md-12'>
          <table class='table'>
            <tr>
              <th width="10%" class="text-center">#</th>
              <th width="30%" class="text-center">Nombre</th>
              <th width="30%" class="text-center">Imagenes</th>
              <th width="30%"></th>
            </tr>
            <tbody class="sortable" data-update-url="/"> 
              @if ($c_sliders > 0)    
                @foreach($sliders as $slider)
                  <tr>
                    <td>
                      {{$slider->id}}
                    </td>
                    <td>{{$slider->name}}</td>
                    <td>
                      <ul>
                        <li><strong>Imagenes: </strong> {{$slider->carousels()->where("active", true)->count()}}</li>
                        <li><strong>Imagenes (Deshabilitadas): </strong> {{$slider->carousels()->where("active", false)->count()}}</li>
                      </ul>
                    </td>
                    <td class="text-center">
                    	<a class='btn btn-xs btn-success button-mb' href="{{route('sliders.admin.carousel.index', $slider->id)}}">
                        <i class='fas fa-plus icon-special-size'></i>
                        Banners
                      </a> 
                      {!! Form::open(['route'=> ['sliders.admin.slider.destroy',$slider->id],'method'=>'DELETE'])!!}
                        <button class='btn btn-danger btn-xs button-mb' onclick="return confirm('¿Estás seguro de eliminar este elemento?');" type='submit'>
                          <i class='fas fa-trash-alt icon-special-size'></i>
                          Eliminar
                        </button>
                      {!! Form::close()!!}
                      <a class='btn btn-xs accent' href="{{route('sliders.admin.slider.edit', $slider->id)}}">
                        <i class='fas fa-edit icon-special-size'></i>
                        Editar
                      </a>     
                    </td>
                  </tr>  
                @endforeach
              @else
                <tr>
                  <td colspan="3" class="text-center">No hay banners registrados</td>
                </tr>
              @endif
            </tbody>
          </table>
        </div>
      </div>
      <div class='dker p-a text-right'>
      	{!!$sliders->links()!!}
      </div>
    </div>
  </div>
</div>
@endsection